UptimeUptime Wiki

Gateway

Parameters

Path Parameters
id*integer

Entity id

Formatint64
Range0 <= value

Try the endpoint

GET
/api/v1/network/gateways/{id}

Code example

curl -X GET "https://example.com/api/v1/network/gateways/0"

Response example

{  "id": 0,  "display_name": "string",  "display_name_plain": "string",  "az_id": 0,  "sku_name": "string",  "form": "string",  "u_size": 0,  "rack_id": 0,  "start_u": 0,  "wan_port_count": 0,  "lan_port_count": 0,  "used_ports": 0,  "fabric_capacity_gbps": 0,  "fabric_load_gbps": 0.1,  "fabric_saturated": true,  "egress_gbps": 0.1,  "ingress_gbps": 0.1,  "wan_ingress_gbps": 0.1,  "wan_egress_gbps": 0.1,  "lan_ingress_gbps": 0.1,  "lan_egress_gbps": 0.1,  "ports": [    {      "index": 0,      "label": "string",      "link": "Down",      "active": true,      "cable_ids": [        0      ],      "peer": null,      "port_id": 0,      "state": "string",      "media": "string",      "gbps_tx": 0.1,      "gbps_rx": 0.1,      "link_capacity_gbps": 0,      "error_count": 0,      "bytes_egress_total": 0,      "bytes_ingress_total": 0,      "link_flaps": 0,      "cable_able": true,      "connector": "string",      "color": "string",      "breakout_used_gbps": 0,      "breakout_capacity_gbps": 0,      "breakout_leg_count": 0    }  ],  "builtin_firewall": {    "dropped_per_sec": 0.1,    "class_label": "string",    "reaching": 0.1,    "mitigated": 0.1,    "residual": 0.1,    "capacity": 0.1,    "unit": "string"  },  "builtin_firewall_enabled": true,  "bgp_capable": true,  "multi_az_capable": true,  "bgp_advertising": true,  "wan_policy": "string",  "security_addons": [    {      "addon": "string",      "name": "string",      "class_label": "string",      "enabled": true,      "owned": true,      "capex_dollars": 0.1,      "monthly_dollars": 0.1    }  ],  "addon_throttled": true,  "addon_throttle": 0.1,  "forwarding_ceiling_gbps": 0.1,  "monthly_opex_dollars": 0.1,  "inv_status": "string",  "threats": [    {      "class": "string",      "label": "string",      "label_eng": "string",      "reaching": 0.1,      "mitigated": 0.1,      "residual": 0.1,      "capacity": 0.1,      "defense_capable": true,      "unit": "string"    }  ],  "powered": true,  "power_feeds": 0}

Response body

200The entity
application/json

Live edge-gateway projection. WAN port(s) cable to the edd; LAN ports to switches. Forwarding device in the reachability chain.

On this page